Skip to main content
GET
curl

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

store_id
string
required

Query Parameters

start_time
string<date-time>

Start time for the period of interest. ISO 8601 (RFC3339) Date-Time Format in UTC. If not provided, defaults to 7 days (log retention period) before the current time. If a continuation_token is provided along side start_time, the continuation_token will take precedence over start_time.

end_time
string<date-time>

End time for the period of interest. ISO 8601 (RFC3339) Date-Time Format in UTC. If not provided, defaults to the current time.

page_size
string<int64>
default:50
continuation_token
string
query
string
sort
string

Sort order for the logs returned. Defaults to timestamp:1 which returns logs in ascending order (oldest logs first)..

Response

A successful response.

continuation_token
string

The continuation token will be identical if there are no new changes.

Example:

"eyJzdGFydF9vZmZzZXQiOiAwLCAibWF4X2hpdHMiOiAxMDB9=="

logs
object[]